
CD /d %~dp0

REM dmdext.exe was not found!

IF NOT EXIST "dmdext.exe" (

cls
echo:
echo:
echo:
echo:
echo *********** DMDExt has not been found! ***********
echo:
echo:
echo dmdext.exe could not be located in the current folder
echo:
echo:
@pause

)

REM DmdDevice.ini was not found in the FP folder, so we show that result, and dmdext.exe is not run

IF NOT EXIST "DmdDevice.ini" (

@echo off & cls
echo:
echo:
echo ************** DMDExt and Future Pinball **************
echo:
echo DmdDevice.ini cannot be found in the main Future Pinball folder, where dmdext.exe should be located
echo:
echo dmdext.exe has not been run!
echo:
echo dmdext.exe cannot be run on it's own, so clicking on dmdext.exe won't do anything
echo:
echo For Future Pinball, you need to use the correct dmdext.exe command and DmdDevice.ini
echo:
echo Be sure to copy the DmdDevice.ini file from the dmdext folder to the main Future Pinball folder
echo:
echo Make sure DmdDevice.ini is configured correctly for your type of DMD display, the size and position, etc
echo:
echo:
@pause

)

REM DmdDevice.ini was found in the FP folder, so we try to run dmdext.exe

IF EXIST "DmdDevice.ini" (

cls
echo:
echo:
echo:
echo:
echo *********** DMDExt has been run for Future Pinball ***********
echo:
echo:

dmdext.exe mirror --source=futurepinball -q --virtual-stay-on-top --fps 60 --use-ini="DmdDevice.ini"

)
